<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1bobyqa__implementation.html">bobyqa_implementation</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::bobyqa_implementation Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>altmov_</b>(const integer n, const integer npt, const doublereal *xpt, const doublereal *xopt, const doublereal *bmat, const doublereal *zmat, const integer ndim, const doublereal *sl, const doublereal *su, const integer kopt, const integer knew, const doublereal adelt, doublereal *xnew, doublereal *xalt, doublereal &amp;alpha, doublereal &amp;cauchy, doublereal *glag, doublereal *hcol, doublereal *w) const (defined in <a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a>)</td><td class="entry"><a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>bobyqa_</b>(const funct &amp;calfun, const integer n, const integer npt, doublereal *x, const doublereal *xl, const doublereal *xu, const doublereal rhobeg, const doublereal rhoend, const integer maxfun, doublereal *w) const (defined in <a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a>)</td><td class="entry"><a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>bobyqb_</b>(const funct &amp;calfun, const integer n, const integer npt, doublereal *x, const doublereal *xl, const doublereal *xu, const doublereal rhobeg, const doublereal rhoend, const integer maxfun, doublereal *xbase, doublereal *xpt, doublereal *fval, doublereal *xopt, doublereal *gopt, doublereal *hq, doublereal *pq, doublereal *bmat, doublereal *zmat, const integer ndim, doublereal *sl, doublereal *su, doublereal *xnew, doublereal *xalt, doublereal *d__, doublereal *vlag, doublereal *w) const (defined in <a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a>)</td><td class="entry"><a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>doublereal</b> typedef (defined in <a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a>)</td><td class="entry"><a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>find_min</b>(const funct &amp;f, T &amp;x, long npt, const U &amp;xl_, const U &amp;xu_, const double rhobeg, const double rhoend, const long max_f_evals) const (defined in <a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a>)</td><td class="entry"><a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>integer</b> typedef (defined in <a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a>)</td><td class="entry"><a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>prelim_</b>(const funct &amp;calfun, const integer n, const integer npt, doublereal *x, const doublereal *xl, const doublereal *xu, const doublereal rhobeg, const integer maxfun, doublereal *xbase, doublereal *xpt, doublereal *fval, doublereal *gopt, doublereal *hq, doublereal *pq, doublereal *bmat, doublereal *zmat, const integer ndim, const doublereal *sl, const doublereal *su, integer &amp;nf, integer &amp;kopt) const (defined in <a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a>)</td><td class="entry"><a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>rescue_</b>(const funct &amp;calfun, const integer n, const integer npt, const doublereal *xl, const doublereal *xu, const integer maxfun, doublereal *xbase, doublereal *xpt, doublereal *fval, doublereal *xopt, doublereal *gopt, doublereal *hq, doublereal *pq, doublereal *bmat, doublereal *zmat, const integer ndim, doublereal *sl, doublereal *su, integer &amp;nf, const doublereal delta, integer &amp;kopt, doublereal *vlag, doublereal *ptsaux, doublereal *ptsid, doublereal *w) const (defined in <a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a>)</td><td class="entry"><a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>trsbox_</b>(const integer n, const integer npt, const doublereal *xpt, const doublereal *xopt, const doublereal *gopt, const doublereal *hq, const doublereal *pq, const doublereal *sl, const doublereal *su, const doublereal delta, doublereal *xnew, doublereal *d__, doublereal *gnew, doublereal *xbdi, doublereal *s, doublereal *hs, doublereal *hred, doublereal *dsq, doublereal *crvmin) const (defined in <a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a>)</td><td class="entry"><a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>update_</b>(const integer n, const integer npt, doublereal *bmat, doublereal *zmat, const integer ndim, doublereal *vlag, const doublereal beta, const doublereal denom, const integer knew, doublereal *w) const (defined in <a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a>)</td><td class="entry"><a class="el" href="classdlib_1_1bobyqa__implementation.html">dlib::bobyqa_implementation</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
